找回密码
 立即注册

qt5.7.0 vs版本配置qchart或qwt到qtcretor中

发表于 2016-12-22 12:09:04 | 显示全部楼层 |阅读模式
1Qter豆
最初我想用qwt做图,网上找了很多教程,弄完以后在qtcreator里和qtdesigner都看不到qwt的widget,然后发现qt5.7支持qchart,我就想弄这个试试,然后nmake的时候就发现一个问题如图,然后我就用vs建立个项目包含这个文件,发现是可以的,求大神指点啊,qwt的详细点的教程也行,我想用到qtcreator里吗,不是很想用vs开发啊!!
附件: 您需要 登录 才可以下载或查看,没有帐号?立即注册

最佳答案

查看完整内容

简单说下我的开发环境: Qt版本是:qt-opensource-windows-x86-msvc2013-5.7.0 所以需要安装:VS2013 上面版本Qt自带Qt CreatorIDE的,安装VS2013只是为了用它的编译调试工具。 然后安装qt时候要自定义安装,记得勾选QChart组件。 上面都安装后,在Qt Creator 的欢迎页面,试着运行一下QChart的Demo程序 成功运行Demo: ...
回复

使用道具 举报

发表于 2016-12-22 12:09:05 | 显示全部楼层
简单说下我的开发环境:
Qt版本是:qt-opensource-windows-x86-msvc2013-5.7.0
所以需要安装:VS2013

上面版本Qt自带Qt CreatorIDE的,安装VS2013只是为了用它的编译调试工具。
然后安装qt时候要自定义安装,记得勾选QChart组件。

上面都安装后,在Qt Creator 的欢迎页面,试着运行一下QChart的Demo程序
成功运行Demo:

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

发表于 2016-12-22 13:17:43 | 显示全部楼层
两种方法我以前都用过,
不过是qt4 + qwt
qt5.7用的Qchart
回复

使用道具 举报

发表于 2016-12-22 13:19:51 | 显示全部楼层
开发环境的话,完全可以用Qt Creator,
要不要装vs 取决于你选择的编译工具链是MSVC还是MINGW等等
回复

使用道具 举报

 楼主| 发表于 2016-12-22 13:31:08 | 显示全部楼层
我也想用qchart,可是找了安装教程,安装不了啊,出来上面的错误了,不知道咋搞了
回复

使用道具 举报

 楼主| 发表于 2016-12-22 13:32:26 | 显示全部楼层
就是上面的错误我很奇怪,报错说找不到这个文件,我试验过了,是可以找到的,你安装qchart的时候直接就可以编译成功吗,或者给我个链接我去学习下
回复

使用道具 举报

 楼主| 发表于 2016-12-22 14:09:11 | 显示全部楼层
我重装了一下,可以运行qchart的demo了,我问下qchart能不能跟button控件一样,能在编辑模式里拖拽到ui上吗?
回复

使用道具 举报

发表于 2016-12-22 17:06:32 | 显示全部楼层
你指的是designer里控件吧,
应该不可以,因为QChart类不是插件类,当然后期可以用Qchart的源码自己生成插件库,那样才能在designer里使用
回复

使用道具 举报

 楼主| 发表于 2016-12-22 18:23:59 | 显示全部楼层
多谢大神解惑,刚刚接触qt,要做项目,以后估计还会有很多问题,望多多指教哈
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

liangzhenjie

    主题

    帖子

    52

    积分

    Qter1级会员

    Rank: 1

    积分
    52

Qter1级会员

发私信

Qt开源社区——开源 共享 自由

微信扫一扫
查看精品教程!